Subject: RE: Packman

From: Sasha Vainshtein <[email-masked]>
Date: Thu, 20 Mar 2003 18:52:36 +0200

Yaakov and all,
Unfortunately I have missed your presentation 
(and the entire IETF to boot).
Nevertheless please see a couple of questions inline

With best regards,
                                   Sasha Vainshtein
email:     [email-masked]
tel:       +972-3-7659993 (office)
           +972-8-9254948 (res.)
           +972-58-674833 (cell.)

-----Original Message-----
From: Yaakov Stein [mailto:[email-masked]]
Sent: Thursday, March 20, 2003 6:28 PM
To: [email-masked]
Subject: [PWE3] Packman

> As you all saw yesterday, due to congestion I had
> my wire pulled.
> 
> What I didn't get to say was that the program
> I use to measure packet loss and delay variation,
> "PACKMAN", runs on a standard Windows PC.
> 
> It basically sends a periodic stream of empty
> TDMoIP (draft-anavi) packets, at a configurable
> rate, and measures packet loss. It also measures
> the standard deviation of the arrival time difference
> (the next version will use the OAM mechanism decribed
> in draft-anavi to measure one-way delay, etc. as well).
>
Why "empty TDMoIP" packets (BTW, I do not remember that
draft-anavi defines any such thing, but I may be mistaken).
Is not simple ICMP Echo/Echo reply sufficient?
> 
> I have run it over various private networks
> and Internet links, with interesting results.
> In particular, I have discovered that the great majority
> of lost packets are isolated, and not packet loss bursts.
> This is apparently due to (W)RED mechanisms.
>
AFAIK, this is what WRED has been designed for, so I tend
to agree.
> 
> When there are duplicate packets lost, this tends
> to happen at a periodic rate.
> We believe this is due to IGRP table updates.
>
Did you send IP Multicast TDMoIP packets? And, if not, how 
should the IGRP tables update result in douple packet loss?

An alternative explanation that comes to mind is a well-known bug in some
ARP implementations. Its effects on packet arrival jitter and packet loss
have been described in the presentation made by Stephen Casner at NANOG-22,
May 2001. 
>
> If anyone would like to perform measurements
> on their own networks, or even get together
> to set up streams across the Internet,
> I could make PACKMAN available.
> 
> 
> Y(J)S